Bug 136757 - missing return statement
Summary: missing return statement
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-22 08:04 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 7.07-37
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 16:35:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2004-10-22 08:04:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:

I just tried to compile package ghostscript-7.07-32 from package
Redhat Fedora Core 3 Test 3.

The compiler said

./src/gxcht.c(89): warning #1011: missing return statement at end of
non-void function "gx_dc_ht_colored_equal"

Upon inspection of the source code, there is no way for this function
to return the value "true". Suggest code re-work.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile the program
2.
3.
    

Additional info:

Comment 2 Tim Waugh 2004-12-10 14:54:03 UTC
Fixed in CVS.


Note You need to log in before you can comment on or make changes to this bug.